.filter-wrap {
    position: fixed;
    width: 100%;
    max-width: 271px;
    top: 0;
    right: 0;
    height: 100%;
    background: #FFF none;
    z-index: -1;
    -webkit-transition: all .3s;
    transition: all .3s;
    -webkit-transform: translateX(271px);
    -ms-transform: translateX(271px);
    transform: translateX(271px);
}

.filter-wrap::after {
    content: '';
    position: fixed;
    width: 100%;
    max-width: 271px;
    top: 0;
    right: 0;
    height: 100%;
    background: #FFF none;
    z-index: -1;
}

.fitler-container {
    height: 100%;
    position: relative;
    overflow-y: scroll;
}

.filter-wrap-box {
    padding: 0 20px 20px;
    min-height: -webkit-calc(100% - 106px);
    min-height: -moz-calc(100% - 106px);
    min-height: calc(100% - 106px);
}

.filter-action {
    border-top: 1px solid #EAEAEA;
    padding: 8px 20px;
    position: relative;
    width: 100%;
    max-width: 271px;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    -webkit-justify-content: flex-end;
    justify-content: flex-end;
    background: #FFF none;
}

.filter-reset {
    font-size: 14px;
    line-height: 16px;
    color: #807F7F;
    margin: 0 16px 0 0;
    cursor: pointer;
}

.filter-btn {
    background: #F4F4F4;
    border: 1px solid #828282;
    border-radius: 3px;
    font-size: 14px;
    line-height: 16px;
    color: #333;
    display: block;
    padding: 8px 13px;
    cursor: pointer;
}

.filter-box-item {
    margin: 20px -20px 0;
    padding: 12px 20px 0;
    border-top: 1px solid #EAEAEA;
}

.filter-box-item:nth-child(1) {
    border-top: 0;
    padding-top: 0;
    margin-top: 0;
}

.filter-box-title {
    font-weight: 500;
    font-size: 18px;
    line-height: 21px;
    color: #333;
}

.filter-list .filter-parent {
    margin: 12px 0 0;
    max-height: 151px;
    overflow-y: scroll;
}

.filter-list-item {
    display: block;
    margin: 8px 0 0;
}

.filter-list-item:nth-child(1) {
    margin-top: 0;
}

.fitler-radio-label {
    cursor: pointer;
    font-size: 14px;
    line-height: 20px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    margin: 0;
    display: block;
    font-weight: 400;
}

.fitler-radio-label::after {
    content: '';
    display: block;
    clear: both;
}

.fitler-radio-label input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

.check-mark {
    height: 16px;
    width: 16px;
    background: #CFCACA none;
    border-radius: 50%;
    margin: 0 9px 0 0;
    position: relative;
    display: inline-block;
    top: 2px;
}

.fitler-radio-label .check-mark::after {
    content: '';
    width: 10px;
    height: 10px;
    top: 3px;
    left: 3px;
    border-radius: 50%;
    background: #CFCACA none;
    position: absolute;
    display: block;
}

.fitler-radio-label input:checked ~ .check-mark:after {
    background: #1A7900 none;
}

.fitler-radio-number {
    font-size: 14px;
    line-height: 19px;
    color: #333;
    display: inline-block;
}

.filter-price-list {
    margin: 12px 0 0;
}

.fitler-price-label {
    font-size: 16px;
    line-height: 19px;
    color: #636262;
}

.fitler-price-label span {
    font-weight: 700;
    color: #333;
}

.filter-box-price .noUi-target {
    height: 3px;
    background: #DCDBDB none;
    border-radius: 0;
    border: 0;
    margin: 24px 0 0;
}

.filter-box-price .noUi-connects {
    height: 3px;
    background: #DCDBDB none;
    position: absolute;
    left: 0;
    top: 0;
    display: block;
    border-radius: 0;
}

.filter-box-price .noUi-connect {
    background: #0066CC none;
}

.filter-box-price .noUi-horizontal .noUi-handle {
    border: 1px solid #0066CC;
    border-radius: 50%;
    background: #FFF none;
    width: 16px;
    height: 16px;
    top: -7px;
    cursor: pointer;
    box-shadow: none;
    right: 0;
}

.filter-box-price .noUi-handle::before,
.filter-box-price .noUi-handle::after {
    display: none;
}

.filter-box-price .noUi-origin {
    width: 9.31%;
}

.price-amount {
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    -webkit-justify-content: space-between;
    justify-content: space-between;
    margin: 8px 0 0;
}

.filter-close-wrap {
    display: -ms-flexbox;
    display: flex;
    position: relative;
    width: 100%;
    padding: 20px 0 20px 20px;
    background: #FFF none;
    z-index: 99;
}

.filter-close {
    display: block;
    width: 15px;
    height: 15px;
    cursor: pointer;
}

.filter-wrap.active {
    z-index: 9999;
}

.filter-wrap.active {
    -webkit-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0);
}